# Check appointment availability.

Check appointment availability.

Endpoint: GET /appointments/{appointment_id}/availability
Version: 1.0.0
Security: Token

## Path parameters:

  - `appointment_id` (string, required)
    The ID of an appointment. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Query parameters:

  - `assignee_id` (string, required)
    The ID of a company team member. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

  - `duration` (integer, required)
    The duration of the event to schedule.
    Example: 60

## Response 200 fields (application/json):

  - `has_conflicts` (boolean, required)
    Indicates if there are any conflicts with the appointment.
    Example: true

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


